<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_jahesh_operations', function (Blueprint $table) {
            $table->smallIncrements('id');
            $table->unsignedTinyInteger('province_id')->nullable()->index('jahesh_operations_province_id_foreign');
            $table->string('operation_1')->nullable();
            $table->string('operation_2')->nullable();
            $table->string('operation_3')->nullable();
            $table->string('operation_4')->nullable();
            $table->string('operation_5')->nullable();
            $table->string('operation_6')->nullable();
            $table->string('operation_7')->nullable();
            $table->string('operation_8')->nullable();
            $table->string('operation_9')->nullable();
            $table->string('operation_10')->nullable();
            $table->string('operation_11')->nullable();
            $table->string('operation_12')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_jahesh_operations');
    }
};
